import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-react-core";
import { DependencyProperty } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { PenLineCap } from "igniteui-react-core";
import { DoubleCollection } from "igniteui-react-core";
import { PriceDisplayType } from "./PriceDisplayType";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
import { Pool$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { GeometryGroup } from "igniteui-react-core";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    pt: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    qd: Brush;
    static readonly p3: DependencyProperty;
    trendLineThickness: number;
    qg: PenLineCap;
    qf: DoubleCollection;
    trendLinePeriod: number;
    px: number;
    protected h6(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    pu: PriceDisplayType;
    protected bd(): SeriesHitTestMode;
    l4(a: Point): Rect;
    private ps;
    ak(a: Point): Rect[];
    dh(a: Point, b: boolean): boolean;
    protected dk(a: Point, b: boolean): boolean;
    protected i7(a: any, b: string, c: any, d: any): void;
    private p2;
    an(a: Axis): AxisRange;
    ao(a: Rect): AxisRange;
    eh(): number;
    c9(a: any): boolean;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    o9(a: CategoryFrame, b: FinancialSeriesView): void;
    h3(a: boolean, b: SeriesView): void;
    protected get_nm(): boolean;
    pb(a: CategoryFrame, b: FinancialSeriesView): void;
    eg(): number;
    private p1;
    private pv;
    private p0;
    fv(a: any, b: Point): any;
    protected jw(): void;
    protected ic(a: any): void;
    qe: Brush;
    jq(a: Brush, b: Brush): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected b0: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b3: Pool$1<Path>;
    cl(): Path;
    protected b6: List$1<Path>;
    cb(a: Path): void;
    cd(a: Path): void;
    cc(a: Path): void;
    protected bv(): FinancialBucketCalculator;
    ap(): void;
    private ck;
    private cj;
    private b1;
    b2: ITrendLineManager;
    readonly b4: boolean;
    ce(): void;
    b8(): void;
    b7(): void;
    ch(): GeometryGroup;
    cg(): GeometryGroup;
    cf(): void;
    protected a8(): void;
    protected a9(): void;
    protected z(a: number): any;
    private ci;
    protected y(a: number): any;
    protected a3(a: RenderingContext, b: boolean): void;
    protected a2(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    b9(): void;
    b5: boolean;
    ca(): void;
}
